aboutsummaryrefslogtreecommitdiffstats
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorJörg Mayer <jmayer@loplof.de>2012-01-16 00:05:14 +0000
committerJörg Mayer <jmayer@loplof.de>2012-01-16 00:05:14 +0000
commit624de2e37f7cd61af7ecb1b6c96b60bc87624959 (patch)
treef4c328cf10f7590b02c855110e38aa987d430138 /macosx-setup.sh
parenta28901b2262bfb537528ed6b512caca2b49e705f (diff)
Fix bootstrap parameters for cmake
Conditionally display build instructions for the cmake case svn path=/trunk/; revision=40528
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index cd7915e6b0..819eab74db 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -139,7 +139,7 @@ if [ -n "$CMAKE" ]; then
curl -O http://www.cmake.org/files/v$cmake_dir/cmake-$CMAKE_VERSION.tar.gz || exit 1
gzcat cmake-$CMAKE_VERSION.tar.gz | tar xf - || exit 1
cd cmake-$CMAKE_VERSION
- ./bootstrap --system-libs || exit 1
+ ./bootstrap || exit 1
make -j 3 || exit 1
$DO_MAKE_INSTALL || exit 1
cd ..
@@ -420,8 +420,19 @@ fi
echo ""
echo "You are now prepared to build Wireshark. To do so do:"
+echo "export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/X11/lib/pkgconfig"
+echo ""
+if [ -n "$CMAKE" ]; then
+ echo "mkdir build; cd build"
+ echo "cmake .."
+ echo
+ echo "or"
+ echo
+fi
echo "./autogen.sh"
-echo "./configure"
+echo "mkdir build; cd build"
+echo "../configure"
+echo ""
echo "make -j 3"
echo "make install"